> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tenant Neighbor By Ip



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/bgp/neighbor/{remote_router_ip}
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/bgp/neighbor/{remote_router_ip}:
    get:
      tags:
        - service - routing - BGP
      summary: Get Tenant Neighbor By Ip
      operationId: >-
        get_tenant_neighbor_by_ip_service__tenant_name__bgp_neighbor__remote_router_ip__get
      parameters:
        - name: remote_router_ip
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: ipv4
              - type: string
                format: ipv6
            title: Remote Router Ip
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NBNeighbor'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    NBNeighbor:
      properties:
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        remote_router_ip:
          type: string
          title: Remote Router Ip
        remote_asn:
          type: integer
          title: Remote Asn
        update_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Update Source
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
        passive:
          type: boolean
          title: Passive
          default: false
        route_map_in_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Route Map In Id
        route_map_out_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Route Map Out Id
        max_pfx_in:
          type: integer
          title: Max Pfx In
        max_pfx_out:
          type: integer
          title: Max Pfx Out
        keepalive:
          anyOf:
            - type: integer
            - type: 'null'
          title: Keepalive
        hold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hold
        open_delay:
          type: integer
          title: Open Delay
        shutdown:
          type: boolean
          title: Shutdown
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        bfd_config:
          anyOf:
            - $ref: '#/components/schemas/BfdConfig'
            - type: 'null'
        enable:
          type: boolean
          title: Enable
          default: true
        id:
          type: integer
          title: Id
        autonomous_system_id:
          type: integer
          title: Autonomous System Id
        autonomous_system:
          $ref: '#/components/schemas/AutonomousSystem'
        connected_vi:
          type: string
          title: Connected Vi
          default: ''
        pfx_list_in:
          anyOf:
            - type: string
            - type: 'null'
          title: Pfx List In
        pfx_list_out:
          anyOf:
            - type: string
            - type: 'null'
          title: Pfx List Out
        is_dia:
          type: boolean
          title: Is Dia
          default: false
      type: object
      required:
        - remote_router_ip
        - remote_asn
        - max_pfx_in
        - max_pfx_out
        - open_delay
        - shutdown
        - id
        - autonomous_system_id
        - autonomous_system
      title: NBNeighbor
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BfdConfig:
      properties:
        transmit_interval:
          type: integer
          title: Transmit Interval
          default: 0
        receive_interval:
          type: integer
          title: Receive Interval
          default: 0
        detect_multiplier:
          type: integer
          title: Detect Multiplier
          default: 0
        passive_mode:
          type: boolean
          title: Passive Mode
          default: false
      type: object
      title: BfdConfig
    AutonomousSystem:
      properties:
        asn:
          type: integer
          title: Asn
        keepalive:
          type: integer
          title: Keepalive
        hold:
          type: integer
          title: Hold
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        tenant_name:
          type: string
          title: Tenant Name
      type: object
      required:
        - asn
        - keepalive
        - hold
        - tenant_name
      title: AutonomousSystem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````